net.minecraft.client.texturepacks

## Class TexturePackCustom

- java.lang.Object
- - net.minecraft.client.texturepacks.TexturePackImplementation
  - - net.minecraft.client.texturepacks.TexturePackCustom

- All Implemented Interfaces:
    ITexturePack

      public class TexturePackCustom
      extends TexturePackImplementation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TexturePackCustom(String par1Str, File par2File, ITexturePack par3ITexturePack)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteTexturePack(RenderEngine par1RenderEngine)` Delete the OpenGL texture id of the pack's thumbnail image, and close the zip file in case of TexturePackCustom.
    `boolean` | `func_94179_g()`
    `boolean` | `func_98140_c(String par1Str)`

    - ### Methods inherited from class net.minecraft.client.texturepacks.TexturePackImplementation

      `bindThumbnailTexture, func_98137_a, func_98138_b, getFirstDescriptionLine, getResourceAsStream, getSecondDescriptionLine, getTexturePackFileName, getTexturePackID`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TexturePackCustom

          public TexturePackCustom(String par1Str,
                           File par2File,
                           ITexturePack par3ITexturePack)

  - ### Method Detail

    - #### deleteTexturePack

          public void deleteTexturePack(RenderEngine par1RenderEngine)

      Delete the OpenGL texture id of the pack's thumbnail image, and close the zip file in case of TexturePackCustom.
      Specified by:
        `deleteTexturePack` in interface `ITexturePack`
      Overrides:
        `deleteTexturePack` in class `TexturePackImplementation`

    - #### func_98140_c

          public boolean func_98140_c(String par1Str)

      Specified by:
        `func_98140_c` in class `TexturePackImplementation`

    - #### func_94179_g

          public boolean func_94179_g()